<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <!--
    - como passar os próprios parâmetros, já que por padrão, a variável do evento é passada?
    - esse é o comportamento padrão, quando nenhum parâmetro é passado, mas pode-se alterá-lo. basta passar algum.
    - quando um parâmetro próprio é passado, ainda pode-se passar o evento, através de uma palavra reservada: $event, que passa o evento gerado para o método.
  -->
  <div id="app">
    <p>{{ contador }}</p>
    <button v-on:click="somar(5, $event)">Somar 5</button>
    <p v-on:mousemove="atualizarXY">Mouse: {{ x }} e {{ y }}</p>
  </div>
  <script src="app.js"></script>
</body>

</html>